#!/bin/bash

# Chiedi all'utente da quale versione di Angular vuole iniziare l'aggiornamento
echo "Quale versione di Angular è attualmente installata? (13 o 15)"
read -p "Inserisci il numero della versione: " versione

# Crea un nuovo branch
git checkout -b update_angular_17

git add .
git commit -m "commit before update"

# Inizia l'aggiornamento dalla versione selezionata
if [ $versione -eq 13 ]; then

  # Aggiorna a Angular 14
  ng update @angular/core@14 @angular/cli@14 @angular/material@14 --force
  git add .
  git commit -m "update ng14"

  # Aggiorna a Angular 15
  ng update @angular/core@15 @angular/cli@15 @angular/material@15 --force
  git add .
  git commit -m "update ng15"

  # Imposta versione uguale a 15 per il prossimo blocco
  versione=15
fi
if [ $versione -eq 15 ]; then

  # Aggiorna a Angular 16
  ng update @angular/core@16 @angular/cli@16 @angular/material@16 --force
  git add .
  git commit -m "update ng16"

  # Aggiorna a Angular 17
  ng update @angular/core@17 @angular/cli@17 --force
  git add .
  git commit -m "update ng17"


  # Esegui la migrazione a Material Design Components
  # ng generate @angular/material:mdc-migration
  # ng update @angular/material@17 --force

  # aggiorna package json
  # edit title in environment.ts
  # add pathmatch: full in routing module
  # add XXXX-test-app in build-and-reelase-app.yml
  # correct credits

else
  echo "Versione non supportata. Si prega di selezionare 13 o 15."
  exit 1

fi
